com.hazelcast.nio.serialization

## Interface DataSerializable

- All Known Subinterfaces:
    EventRegistration, IdentifiedDataSerializable, MapMergePolicy, Member, ObjectNamespace, OperationFactory, ScheduledTaskStatistics, ServiceNamespace, SplitBrainMergePolicy<V,T>, TypedDataSerializable
  All Known Implementing Classes:
    AbstractAlterOperation, AbstractAlterOperation, AbstractAtomicLongOperation, AbstractAtomicReferenceOperation, AbstractBasicConfig, AbstractCacheConfig, AbstractCRDTReplicationOperation, AbstractLocalOperation, AbstractLockOperation, AbstractMember, com.hazelcast.spi.impl.AbstractNamedOperation, AbstractPNCounterOperation, com.hazelcast.spi.impl.merge.AbstractSplitBrainMergePolicy, AcquireBackupOperation, AcquireOperation, AddAndGetOperation, AddBackupOperation, AddOperation, Address, AliasedDiscoveryConfig, AlterAndGetOperation, AlterAndGetOperation, AlterOperation, AlterOperation, ApplyOperation, ApplyOperation, AtomicLongBackupAwareOperation, AtomicLongConfig, AtomicLongReplicationOperation, AtomicReferenceBackupAwareOperation, AtomicReferenceConfig, AtomicReferenceReplicationOperation, AvailableOperation, AwaitBackupOperation, AwaitOperation, AwaitOperation, AwsConfig, AzureConfig, BeforeAwaitBackupOperation, BeforeAwaitOperation, CacheConfig, CacheConfigReadOnly, CacheEvictionConfig, CacheEvictionConfigReadOnly, CachePartitionLostListenerConfig, CachePartitionLostListenerConfigReadOnly, CacheSimpleConfig, CacheSimpleConfig.ExpiryPolicyFactoryConfig, CacheSimpleConfig.ExpiryPolicyFactoryConfig.DurationConfig, CacheSimpleConfig.ExpiryPolicyFactoryConfig.TimedExpiryPolicyFactoryConfig, CacheSimpleConfigReadOnly, CacheSimpleEntryListenerConfig, CacheSimpleEntryListenerConfigReadOnly, CardinalityEstimatorConfig, ClientAwsConfig, CollectionConfig, CompareAndSetOperation, CompareAndSetOperation, ContainsOperation, CountDownLatchBackupOperation, CountDownLatchConfig, CountDownLatchContainer, CountDownLatchReplicationOperation, CountDownOperation, CRDTTimestampedLong, DAG, DefaultObjectNamespace, DiscardMergePolicy, DiscoveryConfig, DiscoveryConfigReadOnly, DiscoveryStrategyConfig, DistributedObjectNamespace, DrainBackupOperation, DrainOperation, DurableExecutorConfig, Echo, Edge, EndpointQualifier, EntryListenerConfig, EntryListenerConfig.MapListenerToEntryListenerAdapter, EntryListenerConfigReadOnly, EurekaConfig, EventJournalConfig, EvictionConfig, EvictionConfigReadOnly, ExecutorConfig, ExecutorConfigReadOnly, ExpirationTimeMergePolicy, FlakeIdGeneratorConfig, FlakeIdGeneratorConfigReadOnly, GcpConfig, GetAndAddOperation, GetAndAlterOperation, GetAndAlterOperation, GetAndSetOperation, GetAndSetOperation, GetCountOperation, GetLockCountOperation, GetOperation, GetOperation, GetOperation, GetRemainingLeaseTimeOperation, HazelcastExpiryPolicy, HigherHitsMapMergePolicy, HigherHitsMapMergePolicy, HigherHitsMergePolicy, HotRestartConfig, HyperLogLogMergePolicy, IgnoreMergingEntryMapMergePolicy, IncreaseBackupOperation, IncreaseOperation, InitBackupOperation, InitOperation, InternalLockNamespace, IPartitionLostEvent, IsLockedOperation, IsNullOperation, ItemListenerConfig, ItemListenerConfigReadOnly, JobConfig, JobMetrics, KubernetesConfig, LatestAccessMergePolicy, LatestUpdateMapMergePolicy, LatestUpdateMapMergePolicy, LatestUpdateMergePolicy, LegacyCacheConfig, LegacyCacheEvictionConfig, LFUEvictionPolicy, ListConfig, ListConfigReadOnly, ListenerConfig, ListenerConfigReadOnly, LocalLockCleanupOperation, LockBackupOperation, LockConfig, LockOperation, LockReplicationOperation, LockStoreImpl, LRUEvictionPolicy, MapAttributeConfig, MapAttributeConfigReadOnly, MapConfig, MapConfigReadOnly, MapIndexConfig, MapIndexConfigReadOnly, MapPartitionLostListenerConfig, MapPartitionLostListenerConfigReadOnly, MapStoreConfig, MapStoreConfigReadOnly, MaxSizeConfig, MaxSizeConfigReadOnly, Measurement, MemberAttributeEvent, MemberAttributeServiceEvent, MemberImpl, MemberVersion, MergeBackupOperation, MergeBackupOperation, MergeOperation, MergeOperation, MergePolicyConfig, MerkleTreeConfig, MigrationEvent, MultiMapConfig, MultiMapConfigReadOnly, NearCacheConfig, NearCacheConfigReadOnly, NearCachePreloaderConfig, Operation, OperationControl, PagingPredicate, PartitionAwareKey, PartitioningStrategyConfig, PartitioningStrategyConfigReadOnly, PartitionLostEvent, PartitionPredicate, PassThroughMergePolicy, PassThroughMergePolicy, PassThroughMergePolicy, PNCounterConfig, PNCounterImpl, PNCounterReplicationOperation, PredicateBuilder, PredicateConfig, PutIfAbsentMapMergePolicy, PutIfAbsentMapMergePolicy, PutIfAbsentMergePolicy, QueryCacheConfig, QueueConfig, QueueConfigReadOnly, QueueStoreConfig, QueueStoreConfigReadOnly, QuorumConfig, QuorumListenerConfig, RandomEvictionPolicy, ReduceBackupOperation, ReduceOperation, ReleaseBackupOperation, ReleaseOperation, ReliableTopicConfig, ReplicatedMapConfig, RingbufferConfig, RingbufferStoreConfig, ScheduledExecutorConfig, ScheduledTaskHandler, SemaphoreBackupAwareOperation, SemaphoreBackupOperation, SemaphoreConfig, SemaphoreConfigReadOnly, SemaphoreContainer, SemaphoreDetachMemberBackupOperation, SemaphoreDetachMemberOperation, SemaphoreOperation, SemaphoreReplicationOperation, SetAndGetOperation, SetBackupOperation, SetBackupOperation, SetConfig, SetConfigReadOnly, SetCountOperation, SetOperation, SetOperation, SignalBackupOperation, SignalOperation, SqlPredicate, TopicConfig, TopicConfigReadOnly, TransactionOptions, TruePredicate, UnlockBackupOperation, UnlockIfLeaseExpiredOperation, UnlockOperation, Version, Vertex, WanConsumerConfig, WanPublisherConfig, WanReplicationConfig, WanReplicationEvent, WanReplicationRef, WanReplicationRefReadOnly, WanSyncConfig

      public interface DataSerializable

  DataSerializable is a serialization method alternative to standard Java serialization. DataSerializable is very similar to `Externalizable` and relies on reflection to create instances using class names.

  Conforming classes must provide a no-arguments constructor to facilitate the creation of their instances during the deserialization. Anonymous, local and non-static member classes can't satisfy this requirement since their constructors are always accepting an instance of the enclosing class as an implicit argument, therefore they must be avoided.

  See Also:
    `IdentifiedDataSerializable`, `Portable`, `VersionedPortable`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `readData(ObjectDataInput in)` Reads fields from the input stream
    `void` | `writeData(ObjectDataOutput out)` Writes object fields to output stream

- - ### Method Detail

    - #### writeData

          void writeData(ObjectDataOutput out)
                  throws IOException

      Writes object fields to output stream
      Parameters:
        `out` - output
      Throws:
        `IOException` - if an I/O error occurs. In particular, an `IOException` may be thrown if the output stream has been closed.

    - #### readData

          void readData(ObjectDataInput in)
                 throws IOException

      Reads fields from the input stream
      Parameters:
        `in` - input
      Throws:
        `IOException` - if an I/O error occurs. In particular, an `IOException` may be thrown if the input stream has been closed.

Copyright © 2019. All rights reserved.